This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 12633 - Selecting Serbian language crashes install
Selecting Serbian language crashes install
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Florence Beta-3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-19 14:13 EDT by David Balažic
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 11:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Balažic 2000-06-19 14:13:10 EDT
In GUI mode install from local CD.

 - select "Serbian" language.
 - click NEXT
 - there is 10 sec delay
 - Serbian text appears , but lacks certain characters
  ( actually a cyrilic font should be set, but is not )
 - VT1 contains some warnings ( see below )
 - I click BACK
 - select "Slovenian" language
 - click NEXT
 - CRASH ( X crashes ,an error msg appear on VT1 and shutdown
   is executed , with 'sending tremination signals...' and all )

After selecting "Serbian" language the following appears on VT1,
repeated 4 times :
----cut here-----
Gdk-WARNING **: Missing charsets in FontSet creation


Gdk-WARNING **:  ISO8859-5
-------cut here----

The error before the reboot is :
Gdk-ERROR **: BadFont
      serial 6834 error_code 7 request_code 46 minor_code 0
Comment 1 Brock Organ 2000-06-19 14:50:34 EDT
verified bad behavior in test lab ... clicking next on "Serbian" language choice
hung the install (it never advanced) ...
Comment 2 Glen Foster 2000-07-18 15:12:10 EDT
This defect is considered MUST-FIX for Winston Beta-5
Comment 3 Brock Organ 2000-07-18 15:32:17 EDT
Seperating the above report into 2 general issues:

1) Selecting "Serbian" language, then "Slovenian" crashes the install

2) Incorrect fonts in GUI install for above languages ...

Issue 1) has been fixed and verified in a post-beta3 internal build ...

Issue 2) is still open ...
Comment 4 Erik Troan 2000-07-21 12:33:06 EDT
Should be fixed in beta 4. If there are bad fonts still, please let us know
which fonts should be used for this locale.
Comment 5 Christian Rose 2000-07-22 21:18:01 EDT
Ran text-mode install.
I selected Swedish, proceeded a few steps, then went back and selected Serbian.
This resulted in an immediate "Exception occurred" and a traceback.

I'll add the traceback here if there is request for it (I was unable to save it
to floppy and it's late and I won't start writing it down right now).
Comment 6 Christian Rose 2000-07-22 21:28:16 EDT
I might add that selecting Serbian appearantly always results in an exception
and a traceback in a text mode install.
Comment 7 Matt Wilson 2000-07-24 17:42:14 EDT
bad entry in lang-table for the keymap, fixed.
Comment 8 Brock Organ 2000-08-04 11:44:56 EDT
was able to perform TUI Serbian install using post-pinstripe internal build ...
Comment 9 David Balažic 2000-08-16 07:19:40 EDT
pinstripe : still crashes 
Do a gfx install, select Serbian language, go NEXT,
go BACK select Slovenian , NEXT , BACK etc...
Just do a few cycles , switching between Serbian, Slovenian and
English and it crashes. If not try doing two times NEXT to
advance more in the installation and the go back to the
language selection.
Comment 10 Glen Foster 2000-08-16 18:42:22 EDT
This defect has been classified as SHOULD-FIX for Winston Gold-release
Comment 11 Matt Wilson 2000-08-22 12:28:12 EDT
this is going to be some obscure gtk bug, I'm sure.
Comment 12 Matt Wilson 2000-08-22 12:28:54 EDT
may be owen can shed some light on it
Comment 13 David Balažic 2000-08-23 04:42:14 EDT
Here is the recipe to reproduce it with RC1 :
Do a GUI install ( I did a "linux updates" with the update
floppy ), select Serbian language , NEXT , BACK ,
select Slovenian , NEXT , BACK , select Serbian ,
NEXT , BACK , select English , NEXT , X crashes ,
system does a shutdown.
Comment 14 Glen Foster 2001-01-11 16:15:30 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 15 Michael Fulbright 2001-01-12 11:17:15 EST
Does not do this in Beta 2.

Note You need to log in before you can comment on or make changes to this bug.